Set automation trigger signing secret
curl --request PUT \
--url https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signing_secret": "replace-with-a-random-secret"
}
'import requests
url = "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret"
payload = { "signing_secret": "replace-with-a-random-secret" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signing_secret: 'replace-with-a-random-secret'})
};
fetch('https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'signing_secret' => 'replace-with-a-random-secret'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret"
payload := strings.NewReader("{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"automation_id": "<string>",
"kind": "<string>",
"enabled": true,
"cron_expression": "<string>",
"timezone": "<string>",
"next_fire_at": "<string>",
"webhook_token": "<string>",
"webhook_path": "<string>",
"webhook_url": "<string>",
"provider": "<string>",
"has_signing_secret": true,
"signing_secret_hint": "<string>",
"label": "<string>",
"last_fired_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"integration_trigger": {
"toolkit_slug": "<string>",
"connected_account_id": "<string>",
"trigger_slug": "<string>",
"trigger_config": {}
},
"integration_status": "<string>",
"integration_error": "<string>",
"provider_trigger_id": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Automations
Set automation trigger signing secret
Workspace member with access to this resource.
Request: signing_secret:string; at least 16 characters, or empty to clear inbound verification.
Response: AutomationTriggerResponse.
Status: 200; 400 invalid secret/type; 403 write denied. Authentication and resource-access errors follow Overview.
PUT
/
api
/
automations
/
{id}
/
triggers
/
{triggerId}
/
signing-secret
Set automation trigger signing secret
curl --request PUT \
--url https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signing_secret": "replace-with-a-random-secret"
}
'import requests
url = "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret"
payload = { "signing_secret": "replace-with-a-random-secret" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signing_secret: 'replace-with-a-random-secret'})
};
fetch('https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'signing_secret' => 'replace-with-a-random-secret'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret"
payload := strings.NewReader("{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automations/{id}/triggers/{triggerId}/signing-secret")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signing_secret\": \"replace-with-a-random-secret\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"automation_id": "<string>",
"kind": "<string>",
"enabled": true,
"cron_expression": "<string>",
"timezone": "<string>",
"next_fire_at": "<string>",
"webhook_token": "<string>",
"webhook_path": "<string>",
"webhook_url": "<string>",
"provider": "<string>",
"has_signing_secret": true,
"signing_secret_hint": "<string>",
"label": "<string>",
"last_fired_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"integration_trigger": {
"toolkit_slug": "<string>",
"connected_account_id": "<string>",
"trigger_slug": "<string>",
"trigger_config": {}
},
"integration_status": "<string>",
"integration_error": "<string>",
"provider_trigger_id": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.
triggerId from the corresponding authorized response.
Body
application/json
Response
AutomationTriggerResponse.
Show child attributes
Show child attributes
Show child attributes
Show child attributes